Description: Bonjour,

J'ai installé AMC avec Macport sur mon Mac. C'est la 10e fois que je le fais et que je re galére
systématiquement pour parameétrer I'envoi de mail. Je les envoie via mon adresse académique en suivant ces
instructions :
SMTPS : Ce protocole permet a votre client de messagerie I'envoi de message en utilisant le serveur
académique.

Serveur de messagerie sortant (SMTPS) : smtps.ac-nancy-metz.fr
Port SSL : 465
Utiliser le type de connexion chiffrée suivant : SSL

Je choisis donc dans les paramétre d'AMC "Méthode d'envoi : SMTP".

Mais quand je clique sur "Envoyer", j'ai le message "L'envoi de courriel nécessite la présence de certains
modules qui ne sont pas installés sur votre systeme : Email\Adress. Veuillez les installer avant de
recommencer."

J'ai bien cherché avant de poser ma question. J'ai trouvé des ports a installer comme libemail-sender-perl
mais quand j'essaye de les installer via le terminal — port not found.
Quelqu'un connait le nom du port a installer pour Mac ?

History

11/06/2024 09:29 pm - Alexis Bienvenlie
Au hasard, est-ce que quelque chose comme @p5-email-address@ fonctionne ? @libemail-sender-perl@ c'est plutét un nom de paquet
debian/ubuntu.

11/07/2024 09:57 am - Joél Brogniart

Je pense qu'il faut ajouter le module perl manquant. Vous pouvez l'installer avec la commande suivante.

<pre>
sudo port install p5.34-email-address

</pre>

11/09/2024 08:36 am - Joél Brogniart
Le port a été mis a jour sur Macports pour inclure le module manquant.

11/09/2024 11:04 am - Frédéric Bréal
- File AMC-documentation-11.1.png added

J'avais écrit ceci dans la documentation. Comme je ne maitrise pas gitlab, je ne sais pas depuis quand.

Est-ce caduc ? Ou dois-je le modifier par celui plus haut ?

11/11/2024 09:13 am - Joél Brogniart

Pour l'installation sur macOS avec Macports, l'installation d'AMC installe toutes les dépendances nécessaires. La derniére version du port inclus

l'installation du module Email::Address.

12/11/2024 03:36 pm - Sylvain CHAUVEAU
Joél Brogniart wrote:

> Je pense qu'il faut ajouter le module perl manquant. Vous pouvez l'installer avec la commande suivante.

>

> [..]

Super merci beaucoup, il ne manquait que ¢a !

12/11/2024 04:49 pm - Alexis Bienvenlie
- Status changed from New to Closed

- % Done changed from 0 to 100
